Sisimai::Reason::TooManyConn(3pm)

NAME
Sisimai::Reason::TooManyConn - Bounced due to that too many connections.

SYNOPSIS
    use Sisimai::Reason::TooManyConn;
    print Sisimai::Reason::TooManyConn->match('Connection rate limit exceeded');    # 1

DESCRIPTION
Sisimai::Reason::TooManyConn checks the bounce reason is "toomanyconn" or not. This class is called only Sisimai::Reason class.

This is the error that SMTP connection was rejected temporarily due to too many concurrency connections to the remote server. This reason has added in Sisimai 4.1.26 and does not exist in any version of bounceHammer.

    <kijitora@example.ne.jp>: host mx02.example.ne.jp[192.0.1.20] said:
        452 4.3.2 Connection rate limit exceeded. (in reply to MAIL FROM command)

CLASS METHODS

  "text()"
"text()" returns string: "toomanyconn".

    print Sisimai::Reason::TooManyConn->text;  # toomanyconn

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::TooManyConn->match('Connection rate limit exceeded');  # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "toomanyconn". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2019 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.